<template>
  <q-layout view="hhh lpR fff">
    <q-header reveal class="bg-primary text-brown" height-hint="98">
      <q-toolbar>
        <q-btn dense flat round icon="menu" @click="toggleLeftDrawer" />

        <q-toolbar-title>
          <q-avatar>
            <img
              alt="Masies x Viure Logo"
              src="https://res.cloudinary.com/mxv-cloud/image/upload/v1647531991/Logos/disseny-casa_mng3zx.svg"
            />
          </q-avatar>
          Masies x Viure
          <span v-if="DEV"> SIZE: {{ size }} </span>
        </q-toolbar-title>

        <q-tabs class="gt-sm bg-primary text-brown">
          <q-route-tab
            to="/persones-i-projectes"
            label="Persones & Projectes"
          />
          <q-route-tab to="/habitatatge-i-terres" label="Habitatge & Terres" />
          <q-route-tab
            to="/espai-de-professionals"
            label="Espai de Professionals"
          />
        </q-tabs>
      </q-toolbar>
    </q-header>

    <q-drawer
      v-model="isDrawerOpen"
      side="left"
      overlay
      behavior="desktop"
      bordered
    >
      <q-scroll-area class="fit">
        <q-list>
          <template v-for="(menuItem, index) in menuList" :key="index">
            <q-item
              clickable
              :to="menuItem.routeTo"
              :active="menuItem.routeTo === currentPath"
            >
              <q-item-section avatar>
                <q-icon :name="menuItem.icon" />
              </q-item-section>
              <q-item-section>
                {{ menuItem.label }}
              </q-item-section>
            </q-item>
            <q-separator :key="'sep' + index" v-if="menuItem.separator" />
          </template>
        </q-list>
      </q-scroll-area>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>

    <q-footer
      v-if="!$q.platform.is.desktop"
      reveal
      class="bg-grey-8 text-white"
    >
      <q-toolbar>
        <q-btn dense flat round icon="menu" @click="toggleLeftDrawer" />

        <q-toolbar-title>
          <q-avatar>
            <img
              src="https://res.cloudinary.com/mxv-cloud/image/upload/v1647531991/Logos/disseny-casa_mng3zx.svg"
            />
          </q-avatar>
          Masies x Viure
        </q-toolbar-title>
      </q-toolbar>
    </q-footer>
  </q-layout>
</template>

<script setup>
import { ref, computed } from 'vue'
import { useRoute } from 'vue-router'
import { useQuasar } from 'quasar'
const { DEV } = import.meta.env

const $q = useQuasar()
const isDrawerOpen = ref(false)

function toggleLeftDrawer () {
  isDrawerOpen.value = !isDrawerOpen.value
}

const size = computed(() => {
  return $q.screen.name
})

const menuList = [
  {
    icon: 'inbox',
    label: 'Inbox',
    separator: true,
    routeTo: '/mail'
  },
  {
    icon: 'people',
    label: 'Persones & Projectes',
    separator: false,
    routeTo: '/people-and-projects'
  },
  {
    icon: 'house',
    label: 'Habitatge & Terres',
    separator: false,
    routeTo: '/lands-and-houses'
  },
  {
    icon: 'work',
    label: 'Espai de Professionals',
    separator: false,
    routeTo: '/professionals-marketplace'
  },
  {
    icon: 'euro',
    label: 'Eines Financeres Ètiques',
    separator: false,
    routeTo: '/ethical-finance'
  },
  {
    icon: 'settings',
    label: 'Configuració',
    separator: false,
    routeTo: '/settings'
  },
  {
    icon: 'feedback',
    label: 'Contacte',
    separator: false,
    routeTo: '/contact-us'
  },
  {
    icon: 'help',
    iconColor: 'primary',
    label: 'FAQS',
    separator: false,
    routeTo: '/faqs'
  }
]

const currentRoute = useRoute()
const currentPath = computed(() => currentRoute.path)
</script>
